# Poll Import Job

Allows polling the status of an Import Job.

Endpoint: GET /jobs/importjobs/{jobId}
Version: 5
Security: apiKey

## Security:

  - `apiKey` (unknown)
    apiKey in header X-API-KEY

## Path parameters:

  - `jobId` (string, required)
    Unique identifier of a Job.

## Query parameters:

  - `skippedStartAfter` (string)
    Next page of items will be retrieved. When skippedNextStartAfter provided in the response, should be used.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `id` (string)
    Unique identifier of a job.
    Example: 35f23c03-1c22-45fe-9484-3ffe769325de

  - `name` (string)
    Name of a Job.
    Example: Process vendor data.

  - `description` (string)
    Detailed description of a Job.
    Example: I started this job to improve quality of our data.

  - `domain` (string)
    Domain of a Business Partner Storage.
    Example: BusinessPartner

  - `createdBy` (string)
    Creator of a resource.
    Example: 76248934691294444

  - `createdAt` (string)
    Date of creation (ISO 8601-compliant).
    Example: 2026-10-21T13:37:19Z

  - `modifiedAt` (string)
    Date of modification (ISO 8601-compliant).
    Example: 2026-10-21T13:37:19Z

  - `progress` (integer)
    Progress (%) of the job.
    Example: 77

  - `status` (string)
    Job execution status.
    Enum: "ARCHIVED", "UNKNOWN", "CREATED", "PERSISTED", "SCHEDULED", "WAITING", "COULDNT_START", "RUNNING", "FINISHED", "DIED", "CANCELED", "FAILED"

  - `statusMessage` (string)
    Additional information to explain the status.
    Example: The job failed because storage is empty.

  - `storageId` (string)
    Unique identifier of the Storage.
    Example: 72d6900fce6b326088f5d9d91049e3e6

  - `dataSource` (string)
    Unique identifier for a Data Source of the Storage.
    Example: 648824a691d8d2503d65103e

  - `dataMapperDefinitionId` (string)
    ID of related Data Mapper Definition that is used for mapping data of this Business Partner Storage.
    Example: 6440dba32b30176c5917b1b7

  - `externalIdColumn` (string)
    The name of the column which will be mapped to external ID. This is required if feature UPSERT_BY_EXTERNAL_ID is activated.
    Example: BP_EXTERNAL_ID

  - `featureOn` (array)
    List of features which are activated for the Import Job.

  - `result` (object)
    The result of the Import Job.

  - `result.statistics` (object)
    The statistics of the Import Job.

  - `result.statistics.numberOfInserts` (integer)
    Number of inserted Business Partners.
    Example: 10

  - `result.statistics.numberOfUpdates` (integer)
    Number of updated Business Partners.
    Example: 10

  - `result.statistics.numberOfFailed` (integer)
    Number of failed Business Partners.
    Example: 10

  - `result.statistics.skipped` (array)
    List of skipped lines and other errors.

  - `result.statistics.skipped.line` (integer)
    The line number of the corrupted line.
    Example: 10

  - `result.statistics.skipped.column` (integer)
    The column number of the corrupted line.
    Example: 10

  - `result.statistics.skipped.businessPartnerId` (string)
    Technical identifier of a business partner record, unique within the CDQ.
    Example: 63e635235c06b7396330fe40

  - `result.statistics.skipped.message` (string)
    Details about failure.
    Example: Invalid path 'Postal code' (Use bracket notation...)

  - `result.statistics.skippedStartAfter` (string)
    The line number of the first skipped line.
    Example: 10

  - `result.statistics.skippedNextStartAfter` (string)
    The line number of the next skipped line.
    Example: 20

